      subroutine setprob
      implicit double precision (a-h,o-z)
      common /comaxis/ xaxis,yaxis,zaxis
      common /comic/ x1,y1,z1
      common /comsphere/ Rsphere
c
      open(unit=7,file='setprob.data',status='old',form='formatted')
c
c     # radius of sphere:
      Rsphere = 1.d0 !6.37122d6
c
c     # point on axis of revolution for revolving flow specified in stream.f
      read(7,*) xaxis,yaxis,zaxis

c     # center of patch for initial data specified in qinit.f
      read(7,*) xc1,yc1
      call mapc2m(xc1,yc1,x1,y1,z1)
       
      return
      end
